import javax.swing.*;
public class metod2
{
// sayinin karesi metodu
// bu metodda static kelimesi kullanilmiyor

public double kare(double x)
{
  return x*x;
}

public static void main(String[] args)
{
     double sayi;
     metod2 b=new metod2();
     sayi=Double.parseDouble(JOptionPane.showInputDialog("bir tam sayı giriniz:"));
     String s="kare metodu çıktısı : ";
     String s1="girilen sayının karesi : "+b.kare(sayi);
     JOptionPane.showMessageDialog(null,s1,s,JOptionPane.PLAIN_MESSAGE);
}

}



